IOS Rejected: UIRequiredDeviceCapabilities

Discussion and feedback on Construct 2

Post » Mon May 09, 2016 1:41 am

Hi guys,

I've just had 2 of my apps rejected for this reason:

"We attempted to review your app but were unable to install the app on iPad or iPhone. The UIRequiredDeviceCapabilities key in the Info.plist is set in such a way that the app will not install on any device .

Next Steps

Please check the UIRequiredDeviceCapabilities key to verify that it contains only the attributes required for your app features or the attributes that must not be present on the device. Attributes specified by a dictionary should be set to true if they are required and false if they must not be present on the device. "

One of them is an update and the other is a completely new build.

I have Googled the issue, it would seem that other people have had this issue when trying to change the minimum IOS requirements. I have checked that I am exporting for the 8.0+ on both Construct and Cocoon.

Any ideas?

Thanks
B
14
S
1
Posts: 20
Reputation: 632

Post » Mon May 09, 2016 1:48 am

I did also post this on Cocoon forums but I've had no reply for a few days. I don't know where the issue is originating from
B
14
S
1
Posts: 20
Reputation: 632

Post » Tue May 10, 2016 12:46 am

I use Intel XDK (WKWebview) just recently and the App got approved by Apple just fine. Give it a try.
B
70
S
24
G
19
Posts: 1,757
Reputation: 17,616


Return to Construct 2 General

Who is online

Users browsing this forum: Voytek and 6 guests